wxWidgets: wxMessageOutputBest Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxMessageOutputBest Class Reference
Class List by Category » Logging

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/msgout.h>`

Inheritance diagram for wxMessageOutputBest:
[legend]

## Detailed Description

Output messages in the best possible way.

Some systems (e.g. MSW) are capable of showing message boxes even from console programs. If this is the case, this class will use message box if standard error stream is not available (e.g. running console program not from console under Windows) or possibly even always, depending on the value of flags constructor argument.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxMessageOutputBest (wxMessageOutputFlags flags=wxMSGOUT_PREFER_STDERR)
| Create a new message output object. More...
Public Member Functions inherited from wxMessageOutputStderr
| wxMessageOutputStderr (FILE *fp=stderr)
| Create a new message output object associated with standard error stream by default. More...
Public Member Functions inherited from wxMessageOutput
void | Printf (const wxString &format,...)
| Output a message. More...
virtual void | Output (const wxString &str)=0
| Method called by Printf() to really output the text. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxMessageOutput
static wxMessageOutput * | Get ()
| Return the global message output object. More...
static wxMessageOutput * | Set (wxMessageOutput *msgout)
| Sets the global message output object. More...

## Constructor & Destructor Documentation

## ◆ wxMessageOutputBest()

wxMessageOutputBest::wxMessageOutputBest | ( | wxMessageOutputFlags | flags = `wxMSGOUT_PREFER_STDERR` | ) |

Create a new message output object.

Parameters

  flags | May be either `wxMSGOUT_PREFER_STDERR` (default) meaning that standard error will be used if it's available (e.g. program is being run from console under Windows) or `wxMSGOUT_PREFER_MSGBOX` meaning that a message box will always be used if the current system supports showing message boxes from console programs (currently only Windows does).